Bug 1121415 - abrt-server spewing error messages in journal
Summary: abrt-server spewing error messages in journal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 15:19 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-04-28 12:59 UTC (History)
7 users (show)

Fixed In Version: abrt-2.2.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 12:59:16 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-07-20 15:19:50 UTC
Description of problem:
My journal is full of messages of this sort:

Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/ccpp-2014-01-24-15:51:54-1496/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/ccpp-2014-01-24-15:51:54-1496/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: '/var/tmp/abrt/ccpp-2014-01-24-15:51:54-1496' is not a problem directory
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:31 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Missing file: time
Jul 21 01:15:32 ankur-laptop abrt-server[21374]: Unlocked '/var/tmp/abrt/Python-2014-02-24-10:17:15-2288/.lock' (no or corrupted 'time' file)
Jul 21 01:15:32 ankur-laptop abrt-server[22237]: Lock file '/var/tmp/abrt/post-create.lock' is locked by process 21375


They're endless. It's very difficult to go through the logs to debug other errors in the midst of these messages. 

Version-Release number of selected component (if applicable):
[asinha@ankur-laptop  SOURCES]$ rpm -qa \*abrt\*
abrt-dbus-2.2.2-1.fc20.x86_64
abrt-desktop-2.2.2-1.fc20.x86_64
abrt-addon-vmcore-2.2.2-1.fc20.x86_64
abrt-retrace-client-2.2.2-1.fc20.x86_64
abrt-addon-kerneloops-2.2.2-1.fc20.x86_64
abrt-python3-2.2.2-1.fc20.x86_64
abrt-addon-xorg-2.2.2-1.fc20.x86_64
abrt-gui-libs-2.2.2-1.fc20.x86_64
abrt-python-2.2.2-1.fc20.x86_64
abrt-libs-2.2.2-1.fc20.x86_64
abrt-addon-ccpp-2.2.2-1.fc20.x86_64
abrt-addon-pstoreoops-2.2.2-1.fc20.x86_64
abrt-addon-python3-2.2.2-1.fc20.x86_64
abrt-gui-2.2.2-1.fc20.x86_64
abrt-2.2.2-1.fc20.x86_64
abrt-addon-python-2.2.2-1.fc20.x86_64
abrt-java-connector-1.0.10-1.fc20.x86_64
gnome-abrt-0.3.7-3.fc20.x86_64
abrt-plugin-bodhi-2.2.2-1.fc20.x86_64

How reproducible:
Probably always. Not yet determined.

Steps to Reproduce:
1. check journalctl
2.
3.

Actual results:
Full of abrt-server messages

Expected results:
Not so many messages?

Additional info:
NA

Comment 1 Jeremy Harris 2014-09-24 08:40:24 UTC
I'm also getting this (along with general hangs and boot-fails-to get-to-login).

abrt-2.2.2-1.fc20.x86_64
systemd-208-21.fc20.x86_64
3.16.2-201.fc20.x86_64       kernel

Lenovo T530 laptop

Comment 2 Jakub Filak 2014-10-15 11:43:41 UTC
Upstream commit https://github.com/abrt/libreport/commit/9bfb39ab7a7a1aa71726bcae242d483b003869dc fixes this bug.

Comment 3 Fedora Update System 2015-02-16 13:55:59 UTC
abrt-2.2.2-2.fc20,libreport-2.2.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abrt-2.2.2-2.fc20,libreport-2.2.3-3.fc20

Comment 4 Fedora Update System 2015-02-17 08:10:05 UTC
Package abrt-2.2.2-2.fc20, libreport-2.2.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.2.2-2.fc20 libreport-2.2.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2191/abrt-2.2.2-2.fc20,libreport-2.2.3-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-28 12:59:16 UTC
abrt-2.2.2-2.fc20, libreport-2.2.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.